Rider Events Webhook Callback

This webhook is used to let you know that there's an update on rider status. In order to receive these events, you need to have a configured Rider Events webhook. If we receive an error in the response then we'll try to retry the callback up to 10 minutes. Usually a regular rider status lifecycle is rider_assigned => rider_arrived (at the restaurant).

The following are all the valid values for a rider status.

Rider StatusDescription
rider_assignedRider was assigned to the order.
rider_arrivedRider nearby to the site.
rider_confirmed_at_restaurantRider arrival at the site confirmed on rider's app.
rider_unassignedRider was unassigned from the order.
rider_in_transitRider is on the way to the customer.
Keep in mind that while every attempt is made to make callbacks in the order they occurred and in a timely manner, neither can be absolutely guaranteed. It is also possible to receive the same callback more than once. The status log should be treated as the source of truth when it comes to the order of the statuses.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
Allowed:
body
object
Headers
string
required

Deliveroo Sequential globally unique identifier (GUID). Please implement it as case-insensitive.

string
required

On registration, we'll provide you with a webhook secret. We'll use the webhook secret and a sequential globally unique identifier (GUID) to generate a hash of the order payload. When you receive a POST request, you will be able to compute a hash and verify that it's a genuine, authorized request sent from Deliveroo. Please implement it as case-insensitive.

string
enum
required

Marks what event type is this request. Currently supported values is event/rider.status_update. Please implement it as case-insensitive.

Allowed:
string
required

Marks which version of payload this request is having. Currently, all our payloads are version 1

Responses
200

Your server returns this code if it accepts the callback.

4XX

Your server can return 4XX codes to signal its issues with the request.

5XX

Your server can return 5XX codes to signal its internal issues.

Language
Credentials
OAuth2
URL
LoadingLoading…